Subject: RE: Using "a bit" as a protection against bidding down / for something else

From: Erik Nordmark <[email-masked]>
Date: Tue, 9 Apr 2002 08:27:09 -0700 (PDT)

> > Perhaps you don't think it is necessary for the MN to be able
> > to express
> > this.  But it is the packets to that MN that are being "redirected" by
> > an attacker.
> >
> 
> Yes, but there is nothing the MN can do about that without feedback from
> the CN about how it will handle a BU. Simply setting a bit does not
> assure that the CN will act acording to the MN's intentions.

The proposal is that a CN MUST NOT accept a BU using return routability
when the bit is set. 
How does this require feedback in order to work?

Sure, the CN can violate the protocol, and this MUST NOT in particular,
but we can't design protocols that can't be violated by those who so desire.

   Erik

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Erik Nordmark <[email-masked]>
Date: Tue, 9 Apr 2002 08:29:43 -0700 (PDT)

>  Trying to
> overload the semantics of Alice telling Bob that she will be using
> secure MIPv6 (particularly through a single bit) as a message that Bob
> must reciprocate is fundamentally flawed. What if Bob had no means to
> use secure MIPv6? How can Alice tell that condition from Mallory sitting
> in the middle? What is to prevent Mallory from doing a double address
> NAT thing where its own IID ends up being presented to Alice and Bob
> along with appropriate credentials? The address is simply the wrong
> place to put a single bit flag that really accomplishes nothing in the
> end.

If Bob has no means to use secure MIPv6 it will reject the BU with a Binding
Ack containing an error.
The result will be that the traffic between Alice and Bob will
use bidirectional tunneling through the home agent, which is secure.

If there is a permanent Mallory in the path between Alice and Bob
then the residual threats when using RR to secure the BUs are not
any more severe than with the current IPv4 (and no mobility). The MiTM
can arbitrarely inspect and modify content.
The residual threat that RR adds is the ability for Mallory to be
present on the path for a short time (order the round-trip time) and
cause packets to be redirected for a long time (current thinking is 5-10 
minutes).

So what is this "real protocol" that you are talking about
here that allows Alice to securely communicate its policy to Bob without
requiring any pre-established security or any PKI?

  Erik